Opened 10 years ago

Closed 10 years ago

#30931 closed defect (fixed)

strigi @0.7.5 Broken xmlindexer, rdfindexer

Reported by: ak.ml@… Owned by: nerdling (Jeremy Lavergne)
Priority: Normal Milestone:
Component: ports Version: 2.0.1
Keywords: Cc: clubjuggler@…
Port: strigi

Description

xmlindexer and rdfindexer are broken with strigi @0.7.5.

$ otool -L /opt/local/bin/xmlindexer /opt/local/bin/rdfindexer
/opt/local/bin/xmlindexer:
	/opt/local/lib/liblibxmlindexer.dylib (compatibility version 0.0.0, current version 0.0.0)
	/opt/local/lib/libstreamanalyzer.0.dylib (compatibility version 0.0.0, current version 0.7.5)
	/opt/local/lib/libxml2.2.dylib (compatibility version 10.0.0, current version 10.8.0)
	/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 125.2.11)
	/opt/local/lib/libstreams.0.dylib (compatibility version 0.0.0, current version 0.7.5)
	/opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.5)
	/opt/local/lib/libbz2.1.0.dylib (compatibility version 1.0.0, current version 1.0.6)
	/opt/local/lib/libiconv.2.dylib (compatibility version 8.0.0, current version 8.1.0)
	/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 7.9.0)
/opt/local/bin/rdfindexer:
	/opt/local/lib/liblibrdfindexer.dylib (compatibility version 0.0.0, current version 0.0.0)
	/opt/local/lib/libstreamanalyzer.0.dylib (compatibility version 0.0.0, current version 0.7.5)
	/opt/local/lib/libxml2.2.dylib (compatibility version 10.0.0, current version 10.8.0)
	/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 125.2.11)
	/opt/local/lib/libstreams.0.dylib (compatibility version 0.0.0, current version 0.7.5)
	/opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.5)
	/opt/local/lib/libbz2.1.0.dylib (compatibility version 1.0.0, current version 1.0.6)
	/opt/local/lib/libiconv.2.dylib (compatibility version 8.0.0, current version 8.1.0)
	/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 7.9.0)

Neither /opt/local/lib/liblibxmlindexer.dylib nor /opt/local/lib/liblibrdfindexer.dylib are installed.

This bug has been filed: http://sourceforge.net/tracker/?func=detail&aid=3117470&group_id=171000&atid=856302.
The quickfix patch just creates executables.

Attachments (1)

patch-xmlindexer_CMakeLists.txt.diff (545 bytes) - added by ak.ml@… 10 years ago.

Download all attachments as: .zip

Change History (4)

Changed 10 years ago by ak.ml@…

comment:1 Changed 10 years ago by jmroot (Joshua Root)

Owner: changed from macports-tickets@… to snc@…

comment:2 Changed 10 years ago by nerdling (Jeremy Lavergne)

Status: newassigned

The "liblib*" naming smells like something else is going on.

comment:3 Changed 10 years ago by nerdling (Jeremy Lavergne)

Resolution: fixed
Status: assignedclosed

Patched in r82977. Reopen if more work needs done.

Note: See TracTickets for help on using tickets.